# (C) Copyright 2008 Brian Fisher, Zach Young, James Paige
# This is Free Software released under the terms of the GPL
# Created for the Pyweek May 2008 competition: "ROBOTS!"

from locals import *

#------------------------------------------------------------------------------

class ScreenThing(object):
  """A single container for objects with a position relative to the screen"""

  def __init__(self, object, image, screen_pos):
    self.object = object
    self.image = image
    self.pos = screen_pos

  def draw(self, display):
    display.render(self.image, self.pos)

  def z_sort_order(self):
    return self.pos.y

#------------------------------------------------------------------------------
